Upstream information

CVE-2018-12600 at MITRE

Description

In ImageMagick 7.0.8-3 Q16, ReadDIBImage and WriteDIBImage in coders/dib.c allow attackers to cause an out of bounds write via a crafted file.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having not set severity.

CVSS v3 Scores
  SUSE
Base Score 6.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:L
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact Low
Availability Impact Low
SUSE Bugzilla entry: 1098545 [NEW]

No SUSE Security Announcements cross referenced.

List of packages in QA

Product(s) Package(s)
SUSE Linux Enterprise Module for Desktop Applications 15
  • ImageMagick >= 7.0.7.34-3.9.1
  • ImageMagick-debuginfo >= 7.0.7.34-3.9.1
  • ImageMagick-debugsource >= 7.0.7.34-3.9.1
  • ImageMagick-devel >= 7.0.7.34-3.9.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-3.9.1
  • libMagick++-7_Q16HDRI4-debuginfo >= 7.0.7.34-3.9.1
  • libMagick++-devel >= 7.0.7.34-3.9.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-3.9.1
  • libMagickCore-7_Q16HDRI6-debuginfo >= 7.0.7.34-3.9.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-3.9.1
  • libMagickWand-7_Q16HDRI6-debuginfo >= 7.0.7.34-3.9.1
SUSE Linux Enterprise Module for Development Tools 15
  • ImageMagick >= 7.0.7.34-3.9.1
  • ImageMagick-debuginfo >= 7.0.7.34-3.9.1
  • ImageMagick-debugsource >= 7.0.7.34-3.9.1
  • perl-PerlMagick >= 7.0.7.34-3.9.1
  • perl-PerlMagick-debuginfo >= 7.0.7.34-3.9.1
SUSE Linux Enterprise Server 11 SP4
  • ImageMagick >= 6.4.3.6-78.52.2
  • libMagickCore1 >= 6.4.3.6-78.52.2
  • libMagickCore1-32bit >= 6.4.3.6-78.52.2
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • ImageMagick >= 6.4.3.6-78.52.2
  • libMagickCore1 >= 6.4.3.6-78.52.2
  • libMagickCore1-32bit >= 6.4.3.6-78.52.2
SUSE Linux Enterprise Software Development Kit 11 SP4
  • ImageMagick >= 6.4.3.6-78.52.2
  • ImageMagick-devel >= 6.4.3.6-78.52.2
  • libMagick++-devel >= 6.4.3.6-78.52.2
  • libMagick++1 >= 6.4.3.6-78.52.2
  • libMagickWand1 >= 6.4.3.6-78.52.2
  • libMagickWand1-32bit >= 6.4.3.6-78.52.2
  • perl-PerlMagick >= 6.4.3.6-78.52.2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 ImageMagick Affected
SUSE Linux Enterprise Module for Desktop Applications 15 GA ImageMagick In progress
SUSE Linux Enterprise Module for Development Tools 15 GA ImageMagick In progress
SUSE Linux Enterprise SDK 11 SP4 GraphicsMagick Not affected
SUSE Linux Enterprise SDK 11 SP4 ImageMagick In progress
SUSE Linux Enterprise SDK 12 SP3 ImageMagick Affected
SUSE Linux Enterprise Server 11 SP3 LTSS ImageMagick Affected
SUSE Linux Enterprise Server 11 SP4 ImageMagick In progress
SUSE Linux Enterprise Server 12 GA LTSS ImageMagick Affected
SUSE Linux Enterprise Server 12 SP1 LTSS ImageMagick Affected
SUSE Linux Enterprise Server 12 SP2 LTSS ImageMagick Affected
SUSE Linux Enterprise Server 12 SP3 ImageMagick Affected
SUSE Linux Enterprise Workstation Extension 12 SP3 ImageMagick Affected
SUSE Studio Onsite 1.3 GraphicsMagick Not affected